/*
 * Shortcode: projects.scss
 * -----------------------------------------------
*/
.tm-sc-projects {
  &.projects-current-theme {
    .tm-project {
      .thumb {
        position: relative;
        overflow: hidden;
        img {
          @include scale(1);
          @include transition(all .4s ease-in-out);
        }
      }
      .details {
        position: absolute;
        bottom: 25px;
        right: -15px;
        transition: 500ms;
        background: #fff;
        padding: 20px 45px 20px 35px;
        transform: translateY(25%);
        @include media-breakpoint-down(xl) {
          bottom: 0;
          right: 0;
          padding: 20px 30px 15px 30px;
        }
        opacity: 0;
        .title {
          margin-top: 0;
        }
        .sub-title {
          color: #6a778c;
          font-size: 0.9rem;
          margin-top: 0;
          margin-bottom: 0;
          text-transform: uppercase;
        }
        &:after {
          position: absolute;
          content: "";
          top: 0;
          width: 0;
          height: 0;
          border-style: solid;
          left: -25px;
          border-width: 0px 25px 100px 0;
          border-color: transparent #fff transparent transparent;
        }
      }
      &:hover {
        .thumb {
          img {
            @include scale(1.1);
          }
        }
        .details {
          transform: translateX(0);
          transition: 500ms;
          opacity: 1;
        }
      }
    }
  }
}
